#include "MenuTextUp_Player2Joystick.h"

InputSetting_Joystick* MenuTextUp_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextUp_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_up;
}

std::weak_ptr<Entity> MenuTextUp_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextUp_Player2Joystick()
{
	return std::make_shared<MenuTextUp_Player2Joystick>();
}

